Get Time Tracker List
Return the list of time trackers attached to the selected users (including non-active users).
Request
apiKeystring
API key of the unit.
selectionIdstring
Unique id of the selected entity, as required by selectionType.
selectionTypeint
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/wsdlGetTimeTrackerList"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetTimeTrackerList>
<apiKey xsi:type="xsd:string">string</apiKey>
<selectionId xsi:type="xsd:string">string</selectionId>
<selectionType xsi:type="xsd:int">0</selectionType>
</tns:wsdlGetTimeTrackerList>
</soap:Body>
</soap:Envelope>
EOFResponse
returnArray<timeTrackerListItem>
Array of timeTrackerListItem records — one per (user, time-tracker) pair.
itemtimeTrackerListItem
A single (user, time-tracker) pair returned by wsdlGetTimeTrackerList.
userIdintrequired
Quinyx internal id of the user.
timeTrackerIdintrequired
Id of the time tracker.
timeTrackerNamestringrequired
Display name of the time tracker.
validationErrorsArray<xsd:string>required
Array of validation errors. Empty on success.
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetTimeTrackerListResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:timeTrackerListItem[1]">
<item xsi:type="tns:timeTrackerListItem">
<userId xsi:type="xsd:int">0</userId>
<timeTrackerId xsi:type="xsd:int">0</timeTrackerId>
<timeTrackerName xsi:type="xsd:string">string</timeTrackerName>
<validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</validationErrors>
</item>
</return>
</tns:wsdlGetTimeTrackerListResponse>
</soap:Body>
</soap:Envelope>